
package reparto_izca.keymon.lat;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class c_historico {
    public static RemoteObject myClass;
	public c_historico() {
	}
    public static PCBA staticBA = new PCBA(null, c_historico.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _root = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _xui = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");
public static RemoteObject _g = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _clie_id = RemoteObject.createImmutable("");
public static RemoteObject _sdate = RemoteObject.createImmutable("");
public static RemoteObject _stime = RemoteObject.createImmutable("");
public static RemoteObject _usuario = RemoteObject.createImmutable("");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _b_regresar = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _listview1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ListViewWrapper");
public static RemoteObject _l_cant = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_total = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _b_borra = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _existe = RemoteObject.createImmutable("");
public static RemoteObject _result = RemoteObject.createImmutable("");
public static RemoteObject _cuantos = RemoteObject.createImmutable("");
public static RemoteObject _nombre_prod = RemoteObject.createImmutable("");
public static RemoteObject _cuantos_pedido = RemoteObject.createImmutable("");
public static RemoteObject _titulo = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _p1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _lv2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ListViewWrapper");
public static RemoteObject _p_principal = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _clv_pedido = RemoteObject.declareNull("b4a.example3.customlistview");
public static RemoteObject _p_prods = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _l_prodx = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_pcant = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _et_pcant = RemoteObject.declareNull("anywheresoftware.b4a.objects.EditTextWrapper");
public static RemoteObject _bmp = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper");
public static RemoteObject _etcanthasfocus = RemoteObject.createImmutable(false);
public static RemoteObject _totalprods = RemoteObject.createImmutable(0);
public static RemoteObject _totalcompra = RemoteObject.createImmutable(0);
public static RemoteObject _prodsmap = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
public static RemoteObject _reconstruirpedido = RemoteObject.createImmutable(false);
public static RemoteObject _promoaborrar = RemoteObject.createImmutable("");
public static RemoteObject _b_guardar = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _b_prodmas = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _b_prodmenos = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static reparto_izca.keymon.lat.main _main = null;
public static reparto_izca.keymon.lat.appupdater _appupdater = null;
public static reparto_izca.keymon.lat.subs _subs = null;
public static reparto_izca.keymon.lat.foto _foto = null;
public static reparto_izca.keymon.lat.mapa_cliente _mapa_cliente = null;
public static reparto_izca.keymon.lat.mapa_rutas _mapa_rutas = null;
public static reparto_izca.keymon.lat.starter _starter = null;
public static reparto_izca.keymon.lat.tracker _tracker = null;
public static reparto_izca.keymon.lat.newinst2 _newinst2 = null;
public static reparto_izca.keymon.lat.b4xpages _b4xpages = null;
public static reparto_izca.keymon.lat.b4xcollections _b4xcollections = null;
public static reparto_izca.keymon.lat.httputils2service _httputils2service = null;
public static reparto_izca.keymon.lat.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"b_borra",_ref.getField(false, "_b_borra"),"b_guardar",_ref.getField(false, "_b_guardar"),"b_prodMas",_ref.getField(false, "_b_prodmas"),"b_prodMenos",_ref.getField(false, "_b_prodmenos"),"b_regresar",_ref.getField(false, "_b_regresar"),"bmp",_ref.getField(false, "_bmp"),"c",_ref.getField(false, "_c"),"clie_id",_ref.getField(false, "_clie_id"),"clv_pedido",_ref.getField(false, "_clv_pedido"),"cuantos",_ref.getField(false, "_cuantos"),"cuantos_pedido",_ref.getField(false, "_cuantos_pedido"),"DateUtils",_ref.getField(false, "_dateutils"),"et_pCant",_ref.getField(false, "_et_pcant"),"etCantHasFocus",_ref.getField(false, "_etcanthasfocus"),"Existe",_ref.getField(false, "_existe"),"g",_ref.getField(false, "_g"),"L_CANT",_ref.getField(false, "_l_cant"),"l_pCant",_ref.getField(false, "_l_pcant"),"l_prodX",_ref.getField(false, "_l_prodx"),"L_TOTAL",_ref.getField(false, "_l_total"),"ListView1",_ref.getField(false, "_listview1"),"lv2",_ref.getField(false, "_lv2"),"nombre_prod",_ref.getField(false, "_nombre_prod"),"p_principal",_ref.getField(false, "_p_principal"),"p_prods",_ref.getField(false, "_p_prods"),"P1",_ref.getField(false, "_p1"),"prodsMap",_ref.getField(false, "_prodsmap"),"promoABorrar",_ref.getField(false, "_promoaborrar"),"reconstruirPedido",_ref.getField(false, "_reconstruirpedido"),"result",_ref.getField(false, "_result"),"Root",_ref.getField(false, "_root"),"sDate",_ref.getField(false, "_sdate"),"sTime",_ref.getField(false, "_stime"),"Titulo",_ref.getField(false, "_titulo"),"totalCompra",_ref.getField(false, "_totalcompra"),"totalProds",_ref.getField(false, "_totalprods"),"usuario",_ref.getField(false, "_usuario"),"xui",_ref.getField(false, "_xui")};
}
}